Bug 1426251 - [Docs][RFE][HardProv] Document hardware introspection using MariaDB
Summary: [Docs][RFE][HardProv] Document hardware introspection using MariaDB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Charelle Collett
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On: 1418220
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 14:23 UTC by Sandra McCann
Modified: 2017-08-22 02:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 02:43:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sandra McCann 2017-02-23 14:23:15 UTC
Update the Bare Metal Provisioning Guide, Hardware Introspection section to include that introspection database can now use a full MySQL database, such as MariaDB, instead of SQlite.

Comment 2 Charelle Collett 2017-08-18 00:17:46 UTC
No impact to ironic in the overcloud documentation.  Seeking clarification for the undercloud.

Comment 4 Dan Yasny 2017-08-21 16:16:35 UTC
inspector.conf in OSP11 as tested TODAY openstack-ironic-inspector-5.0.1-1.el7ost.noarch


[database]

#
# From oslo.db
#

# DEPRECATED: The file name to use with SQLite. (string value)
# Deprecated group/name - [DEFAULT]/sqlite_db
# This option is deprecated for removal.
# Its value may be silently ignored in the future.
# Reason: Should use config option connection or slave_connection to
# connect the database.
#sqlite_db = oslo.sqlite

# If True, SQLite uses synchronous mode. (boolean value)
# Deprecated group/name - [DEFAULT]/sqlite_synchronous
#sqlite_synchronous = true

# The back end to use for the database. (string value)
# Deprecated group/name - [DEFAULT]/db_backend
#backend = sqlalchemy

# The SQLAlchemy connection string to use to connect to the database.
# (string value)
# Deprecated group/name - [DEFAULT]/sql_connection
# Deprecated group/name - [DATABASE]/sql_connection
# Deprecated group/name - [sql]/connection
#connection = <None>
connection = mysql+pymysql://ironic-inspector:3ee48fc100744b22647a63775ec9bb72891b1d30@192.168.24.1/ironic-inspector

Comment 5 mkovacik 2017-08-21 16:31:37 UTC
(In reply to Dan Yasny from comment #4)

Dan, thanks for the check!

Comment 7 Charelle Collett 2017-08-22 00:46:36 UTC
Thanks for the clarifications, Dan & Milan!

Comment 9 Dan Macpherson 2017-08-22 02:11:54 UTC
Merged and verified!


Note You need to log in before you can comment on or make changes to this bug.